<div class="collapse open-on-xl" id="apis-collapse">
  <div class="row pt-3">
    {{ range $.Site.Data.apis }}
    <div class="col-12 col-md-6 col-xl-4 pb-3">
      {{ if .logo }}
      <img class="img-fluid" style="height: 3.5rem" src="{{ printf "/assets/apis/%s" .logo | relURL }}" alt="{{ .name }}">
      {{ else }}
      <h3>{{ .name }}</h3>
      {{ end }}
      <p>{{ .body }}</p>
      <p><a class="btn btn-secondary" href="{{ .url }}" role="button">Read more »</a></p>
    </div>
    {{ end }}
  </div>

  <div class="alert alert-warning">
    <h5>Note</h5>
    <p>
      Even though Mesa provides implementations of the APIs listed above,
      not all combinations of drivers and APIs are formally conformant to
      their respective specifications.
    </p>
  </div>
</div>
